You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@couchdb.apache.org by wo...@apache.org on 2020/05/27 01:15:15 UTC

[couchdb-ci] branch master updated: Support s390x

This is an automated email from the ASF dual-hosted git repository.

wohali pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/couchdb-ci.git


The following commit(s) were added to refs/heads/master by this push:
     new bd1cae0  Support s390x
bd1cae0 is described below

commit bd1cae0a9c5ad04f3d9e5415e02e3bc01982d16f
Author: Joan Touzet <wo...@apache.org>
AuthorDate: Tue May 26 17:57:58 2020 -0700

    Support s390x
---
 bin/apt-dependencies.sh | 21 ++++++++++++---------
 1 file changed, 12 insertions(+), 9 deletions(-)

diff --git a/bin/apt-dependencies.sh b/bin/apt-dependencies.sh
index f35ddb2..3abfdfa 100755
--- a/bin/apt-dependencies.sh
+++ b/bin/apt-dependencies.sh
@@ -90,7 +90,7 @@ if [ ${VERSION_CODENAME} == "xenial" ]; then
 fi
 
 # Node.js
-if [ "${ARCH}" == "ppc64le" ]; then
+if [ "${ARCH}" == "ppc64le" -o "${ARCH}" == "s390x" ]; then
   apt-get install -y nodejs npm
 else
   wget https://deb.nodesource.com/setup_${NODEVERSION}.x
@@ -161,7 +161,7 @@ fi
 # js packages, as long as we're not told to skip them
 if [ "$1" != "nojs" ]; then
   # older releases don't have libmozjs60+, and we provide 1.8.5
-  if [ "${VERSION_CODENAME}" != "focal" -a "${VERSION_CODENAME}" != "bullseye" ]; then
+  if [ "${VERSION_CODENAME}" != "focal" -a "${VERSION_CODENAME}" != "bullseye" -a "${ARCH}" != "s390x" ]; then
     echo "deb https://apache.bintray.com/couchdb-deb ${VERSION_CODENAME} main" | \
     sudo tee /etc/apt/sources.list.d/couchdb.list
     apt-key adv --keyserver keyserver.ubuntu.com --recv-keys \
@@ -184,13 +184,16 @@ fi
 
 # Erlang is installed by apt-erlang.sh
 
-# FoundationDB
-wget https://www.foundationdb.org/downloads/6.2.20/ubuntu/installers/foundationdb-clients_6.2.20-1_amd64.deb
-wget https://www.foundationdb.org/downloads/6.2.20/ubuntu/installers/foundationdb-server_6.2.20-1_amd64.deb
-dpkg -i ./foundationdb*deb
-pkill -f fdb || true
-pkill -f foundation || true
-rm -rf ./foundationdb*deb
+# FoundationDB - but only for amd64 right now!!!!
+# TODO: fix for ppc64le and s390x - get IBM to help build these packages maybe?
+if [ "${ARCH}" == "x86_64" ]; then
+  wget https://www.foundationdb.org/downloads/6.2.20/ubuntu/installers/foundationdb-clients_6.2.20-1_amd64.deb
+  wget https://www.foundationdb.org/downloads/6.2.20/ubuntu/installers/foundationdb-server_6.2.20-1_amd64.deb
+  dpkg -i ./foundationdb*deb
+  pkill -f fdb || true
+  pkill -f foundation || true
+  rm -rf ./foundationdb*deb
+fi
 
 # clean up
 apt-get clean